FineTuningSessions
Create a fine-tuning session
Create a new fine-tuning session and allocate it to a GPU engine. The response contains a single session identifier and a request identifier to poll for session initialization.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
Configuration of the fine-tuning session to create.
type
string | enum
required
Fine-tuning session type.
enum
base_model
string
required
Base model to use for the new training session.
lora_config
SessionFineTuning.LoRAConfig
required
LoRA adapter configuration. If optional settings are omitted, the service applies the defaults described below.
rank
integer
required
Number of LoRA rank dimensions required by the service.
alpha
number
LoRA scaling factor (effective scale = alpha / rank). If omitted, the service defaults to 32.0.
seed
integer
Seed for LoRA weight initialisation. If omitted, the service picks a random seed and echoes it back.
freeze_vision_tower
boolean
Whether to freeze the vision tower during training. If omitted, the service defaults to true.
freeze_multi_modal_projector
boolean
Whether to freeze the multimodal projector during training. If omitted, the service defaults to true.
user_metadata
object | null
Caller-provided metadata whose values can be any JSON value.
from_checkpoint
SessionFineTuning.FineTuningFromCheckpoint | null
Training checkpoint to load while initializing the session, when provided.
source_session_id
string
required
Identifier of the session containing the source training checkpoint.
checkpoint_id
string
required
Identifier of the training checkpoint within the source session.
training_type
string | enum
Training tiers available for fine-tuning sessions.
enum
Responses
The request has succeeded.
Body
session_id
string
required
Identifier of the newly created fine-tuning session.
type
string | enum
required
Fine-tuning session type.
enum
base_model
string
required
Base model used by the session.
lora_config
SessionFineTuning.LoRAConfig
required
LoRA adapter configuration. If optional settings are omitted, the service applies the defaults described below.
rank
integer
required
Number of LoRA rank dimensions required by the service.
alpha
number
LoRA scaling factor (effective scale = alpha / rank). If omitted, the service defaults to 32.0.
seed
integer
Seed for LoRA weight initialisation. If omitted, the service picks a random seed and echoes it back.
freeze_vision_tower
boolean
Whether to freeze the vision tower during training. If omitted, the service defaults to true.
freeze_multi_modal_projector
boolean
Whether to freeze the multimodal projector during training. If omitted, the service defaults to true.
status
string | enum
required
Lifecycle status of a fine-tuning session. Uses the canonical fine-tuning job vocabulary for steady states and includes the initial created state returned during session creation.
enum
request_id
string
required
Request identifier used to poll for session initialization.
info_message
string | null
Informational message associated with session creation, when available.
warning_message
string | null
Warning associated with session creation, when available.
user_metadata
object | null
Caller-provided metadata associated with the session.
Request
POST /fine_tuning/sessions HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json